<style type="text/css">
.weatherForecast {
	color:#3A5029;
	font-family:Tahoma;
	font-size:70%;
	border:1px solid #CAD3A4;
	width:370px;
}
.weatherForecast .location {
	background-color:#BED273;
	padding:5px;
	font-weight:bold;
	text-align:center;
}
.weatherForecast .header {
	background-color:#BED273;
	padding:5px;
	font-weight:bold;
}
.weatherForecast .data0 {
	background-color:#EFF5D7;
	padding:2px 5px;
}
.weatherForecast .data1 {
	background-color:#FFF;
	padding:2px 5px;
}
.weatherForecast .lastupdate {
	background-color:#EFF5D7;
	border-top:1px solid #BED273;
	padding:10px 5px;
	text-align:center;
}
</style>

<script language="javascript">
// Correctly handle PNG transparency in Win IE 5.5 or higher.
// http://homepage.ntlworld.com/bobosola
function correctPNG() {
	for (var i=0; i<document.images.length; i++) {
		var img = document.images[i]
		var imgName = img.src.toUpperCase()
		if (imgName.substring(imgName.length-3, imgName.length) == "PNG") {
			var imgID = (img.id) ? "id='" + img.id + "' " : "";
			var imgClass = (img.className) ? "class='" + img.className + "' " : "";
			var imgTitle = (img.title) ? "title='" + img.title + "' " : "title='" + img.alt + "' ";
			var imgStyle = "display:inline-block;" + img.style.cssText;
			if (img.align == "left") imgStyle = "float:left;" + imgStyle;
			if (img.align == "right") imgStyle = "float:right;" + imgStyle;
			if (img.parentElement.href) imgStyle = "cursor:hand;" + imgStyle;	
			var strNewHTML = "<span " + imgID + imgClass + imgTitle
				+ " style=\"" + "width:" + img.width + "px; height:" + img.height + "px;" + imgStyle + ";"
				+ "filter:progid:DXImageTransform.Microsoft.AlphaImageLoader"
				+ "(src=\'" + img.src + "\', sizingMethod='scale');\"></span>";
			img.outerHTML = strNewHTML;
			i = i-1;
		}
	}
}
window.attachEvent("onload", correctPNG);
</script>


<cf_weather locationCode="GRXX0004" partnerID="xxxxxxxxxx" licenseKey="xxxxxxxxxxxxxxxx" daysForecast="5" imageSize="small" cacheSeconds="200000" unit="m">
<cfoutput>
		<table border="0" cellpadding="0" cellspacing="0" class="weatherForecast">
			<tr>
				<td colspan="5" class="location">#sWeather.sLocation.city#</td>
			</tr>
			<tr valign="bottom">
				<td class="header">Date</td>
				<td class="header" colspan="2">Conditions</td>
				<td class="header" nowrap>
					Daytime High /<br>
					Overnight Low (&##176;#sWeather.sProperties.temperature#)
				</td>
				<td class="header">Precipitation</td>
			</tr>
			<cfloop from="0" to="#sWeather.sParams.daysForecast - 1#" step="1" index="i">
				<cfset cRowClass = i Mod 2>
				<tr>
					<td class="data#cRowClass#">
						<strong>
							<cfif sWeather.sForecast["sDay" & i].daynumber IS "0">
								<cfif Hour(Now()) GTE 16>
									Tonight
								<cfelse>
									Today
								</cfif>
							<cfelse>
								#sWeather.sForecast["sDay" & i].weekday#
							</cfif>
						</strong>
						<br>
						&nbsp;&nbsp;#sWeather.sForecast["sDay" & i].date#
					</td>
					<td class="data#cRowClass#">
						<cfif sWeather.sForecast["sDay" & i].daynumber IS "0" AND Hour(Now()) GTE 16>
							<cfif sWeather.sForecast["sDay" & i].night.icon NEQ "">
								<img src="#sWeather.sParams.imageLocation#/#sWeather.sParams.imageSize#x#sWeather.sParams.imageSize#/#sWeather.sForecast["sDay" & i].night.icon#.#sWeather.sParams.imageType#" border="0" alt="#sWeather.sForecast["sDay" & i].night.description#">
							<cfelse>
								N/A
							</cfif>
						<cfelse>
							<cfif sWeather.sForecast["sDay" & i].day.icon NEQ "">
								<img src="#sWeather.sParams.imageLocation#/#sWeather.sParams.imageSize#x#sWeather.sParams.imageSize#/#sWeather.sForecast["sDay" & i].day.icon#.#sWeather.sParams.imageType#" border="0" alt="#sWeather.sForecast["sDay" & i].day.description#">
							<cfelse>
								N/A
							</cfif>
						</cfif>
					</td>
					<td class="data#cRowClass#">
						<cfif sWeather.sForecast["sDay" & i].dayNumber IS "0" AND Hour(Now()) GTE 16>
							#sWeather.sForecast["sDay" & i].night.description#
						<cfelse>
							#sWeather.sForecast["sDay" & i].day.description#
						</cfif>
					</td>
					<td class="data#cRowClass#">
						<strong>
							<cfif sWeather.sForecast["sDay" & i].daynumber IS "0" AND Hour(Now()) GTE 16>
								#sWeather.sForecast["sDay" & i].temperaturelow#&##176;
							<cfelse>
								#sWeather.sForecast["sDay" & i].temperaturehigh#&##176;/#sWeather.sForecast["sDay" & i].temperaturelow#&##176;
							</cfif>
						</strong>
					</td>
					<td class="data#cRowClass#">
						<cfif sWeather.sForecast["sDay" & i].daynumber IS "0" AND Hour(Now()) GTE 16>
							#sWeather.sForecast["sDay" & i].night.precipitation#%
						<cfelse>
							#sWeather.sForecast["sDay" & i].day.precipitation#%
						</cfif>
					</td>
					</tr>
				</cfloop>
			<tr>
				<td colspan="5" class="lastupdate">
					As reported at #sWeather.sCurrentConditions.station#, 
					<cfif sWeather.sForecast.lastUpdateDateTime IS NOT "">
						on #DateFormat(sWeather.sForecast.lastUpdateDateTime, "full")#,
						at #TimeFormat(sWeather.sForecast.lastUpdateDateTime, "h:mm tt")# local time
					<cfelse>
						at #sWeather.sForecast.lastUpdate# (U.S.A. Date Format)
					</cfif>
					<br />
					<br />
					<a href="http://www.weather.com">
						<img src="#sWeather.sParams.imageLocation#logos/TWClogo_31px.png" border="0" alt="Data provided by weather.com" title="Data provided by weather.com">
					</a>
				</td>
			</tr>
		</table>
</cfoutput>
</cf_weather>